Bug 1006847 - CLI user commands raise exception: undefined method `readable'
CLI user commands raise exception: undefined method `readable'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Mike McCune
Corey Welton
: Triaged
Depends On:
Blocks: 1005427
  Show dependency treegraph
 
Reported: 2013-09-11 07:34 EDT by Ales Dujicek
Modified: 2014-04-24 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug-20130911164019.tar.gz (435.30 KB, application/gzip)
2013-09-11 16:41 EDT, Jeff Weiss
no flags Details

  None (edit)
Description Ales Dujicek 2013-09-11 07:34:34 EDT
Description of problem:

user commands raise exceptions:

> user info --username admin
undefined method `readable' for #<Class:0x00000005c09c70>
> user list
undefined method `readable' for #<Class:0x000000066ccb80>
> user update --username admin --default_locale en
undefined method `readable' for #<Class:0x000000066ccb80>

user create and user report are ok, everything else is broken

Version-Release number of selected component (if applicable):
katello-glue-elasticsearch-1.4.6-1.git.48.663056d.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.4.3-1.git.33.7c739e9.el6.noarch
katello-certs-tools-1.4.4-1.el6.noarch
katello-glue-candlepin-1.4.6-1.git.48.663056d.el6.noarch
katello-1.4.6-1.git.48.663056d.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.4.3-1.git.33.7c739e9.el6.noarch
katello-configure-1.4.5-1.el6.noarch
pulp-katello-plugins-0.2-1.el6.noarch
katello-glue-pulp-1.4.6-1.git.48.663056d.el6.noarch
katello-all-1.4.6-1.git.48.663056d.el6.noarch
katello-selinux-1.4.4-1.git.1.7abb02b.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.4.6-1.git.48.663056d.el6.noarch


How reproducible:
always
Comment 1 Jeff Weiss 2013-09-11 16:41:38 EDT
Created attachment 796509 [details]
katello-debug-20130911164019.tar.gz
Comment 2 Jeff Weiss 2013-09-12 11:31:41 EDT
This should be fixed by https://github.com/Katello/katello/pull/2929
Comment 5 Corey Welton 2013-09-23 11:46:22 EDT
QA Verified.

Satellite-6.0.2-RHEL-6-20130919.0
Comment 8 Bryan Kearney 2014-04-24 13:11:12 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 9 Bryan Kearney 2014-04-24 13:12:11 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.